package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B12;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B12Mapper {

    public List<B12> selectAll();

    public List<B12> selectListByInfo(B12 b12);

    int insertOne(B12 b12);

    int examineB12(B12 b12);

    int delB12(B12 b12);

    int weekdelB12(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);

    List<B12> selectB12ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B12> selectB12ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b12字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B12> list);
}
